<?php
// $Id: linked_data_example.linked_data.inc,v 1.1 2010/09/17 22:13:48 febbraro Exp $

/**
 * @file
 * Bulk export of linked_data objects generated by Bulk export module.
 */

/**
 * Implementation of hook_default_linked_data_query()
 */
function linked_data_example_default_linked_data() {
  $querys = array();

  $query = new stdClass;
  $query->disabled = FALSE; /* Edit this to true to make a default query disabled initially */
  $query->api_version = 1;
  $query->name = 'example_crunchbase_openpublish';
  $query->title = 'Example CrunchBase OpenPublish';
  $query->description = 'Example query to pull back OpenPublish data from Semantic CrunchBase';
  $query->config = array(
    'query_type' => 'sparql',
    'endpoint' => 'http://cb.semsol.org/sparql',
    'query' => 'PREFIX cb: <http://cb.semsol.org/ns#>

SELECT * WHERE {
  <http://cb.semsol.org/product/openpublish#self> cb:name ?name ;
    cb:homepage_url ?homepage ;
    cb:twitter_username ?twitter ;
    cb:company ?company .

    ?company cb:name ?company_name ;
       cb:homepage_url ?company_url .
}',
    'cache_lifetime' => '0',
  );
  $querys['example_crunchbase_openpublish'] = $query;

  $query = new stdClass;
  $query->disabled = FALSE; /* Edit this to true to make a default query disabled initially */
  $query->api_version = 1;
  $query->name = 'example_dbpedia_company';
  $query->title = 'Example DBpedia Company';
  $query->description = 'Example query for DBpedia Company data';
  $query->config = array(
    'query_type' => 'sparql',
    'endpoint' => 'http://dbpedia.org/sparql',
    'query' => 'prefix dbpedia: <http://dbpedia.org/resource/>
prefix dbpedia2: <http://dbpedia.org/property/>
prefix dbpedia-owl: <http://dbpedia.org/ontology/>
SELECT *
WHERE {
  <$uri> dbpedia-owl:abstract ?abstract ;
    foaf:name ?name ;
    foaf:homepage ?homepage ;
    foaf:page ?page .
  OPTIONAL { <$uri>  dbpedia2:numEmployees ?employees . } .
  FILTER langMatches( lang(?abstract), \'en\')
}
',
    'cache_lifetime' => '0',
  );
  $querys['example_dbpedia_company'] = $query;

  $query = new stdClass;
  $query->disabled = FALSE; /* Edit this to true to make a default query disabled initially */
  $query->api_version = 1;
  $query->name = 'example_freebase_person';
  $query->title = 'Example Freebase Person';
  $query->description = 'Example query against Freebase for person information';
  $query->config = array(
    'query_type' => 'mql',
    'endpoint' => 'http://dbpedia.org/sparql',
    'query' => '{
  "name" : null,
  "place_of_birth" : null,
  "date_of_birth" : null,
  "nationality" : null,
  "/common/topic/image" : [{ "id" : null, "optional" : true, "limit" : 1 }],
  "type" : "/people/person",
  "id" : "$uri"
}',
    'cache_lifetime' => '0',
  );
  $querys['example_freebase_person'] = $query;

  return $querys;
}
